<template>
  <div class="win">
    <div class="border_corner border_corner_left_top"></div>
    <div class="border_corner border_corner_right_top"></div>
    <div class="border_corner border_corner_left_bottom"></div>
    <div class="border_corner border_corner_right_bottom"></div>
    <div class="main">
      <div class="main-matter">
        <ul>
          <li>监测点名称:{{ storagePlaceId.Name }}</li>
          <li>生产单位:{{ storagePlaceId.porltName }}</li>
          <li>排放类型名称:{{ storagePlaceId.MonTypeName }}</li>
          <li>排放去向:{{ storagePlaceId.EmissDirecti }}</li>
          <li>控制级别名称:{{ storagePlaceId.ContrLevelShowName }}</li>
          <li>内/外排口:{{ storagePlaceId.OrOutPortName }}</li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script>

// import mapApi from '@/api/mapApi'

export default {
  name: 'GasTable',
  props: ['storagePlaceId'],
  data () {
    return {
      tabList: []
    }
  },
  mounted () {
    this.$nextTick(() => {
      // this.getTabsData()
    })
  },
  methods: {
    // async refsDataTabs (data) {
    //   console.log(data)
    //   // const dataValue = {
    //   //   StoragePlaceId: data
    //   // }
    //   // const resultBasic = await mapApi.getWasteGasDetails(dataValue)
    //   // console.log(resultBasic)
    // }
  }
}
</script>

<style scoped lang="less">

.win {
  position: relative;
  margin-bottom: 0.04rem;
  background-color: @background-color;
}

.main {

  .main-matter {
    font-size: 0.06rem;
    font-weight: normal;
    padding: 0.04rem 0;
    border: 1px solid #396d83;

    ul {
      //width: 100%;
      //height: 100%;
      display: flex;
      align-items: center;
      justify-content: space-around;
      flex-wrap: wrap;
      margin-bottom: -0.04rem;

      li {
        margin-bottom: 0.04rem;
        text-align: center;
        min-width: 31%;
        background-color: #243a55;
        color: #00d0f9;
        border-radius: 0.02rem;
        font-size: 0.08rem;
        line-height: 0.09rem;
        padding: 0.03rem .5%;
      }

      .lastli {
        visibility: hidden
      }
    }
  }
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 10px;
  height: 10px;
  background: rgba(0, 0, 0, 0);
  border: 1px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}
</style>
